Package: groovy.org.codenarc.rule.junit

## [Groovy] Class UseAssertTrueInsteadOfAssertEqualsRule

- groovy.org.codenarc.rule.junit.UseAssertTrueInsteadOfAssertEqualsRule

- This rule detects JUnit calling assertEquals where the first parameter is a boolean. These assertions should be made by more specific methods, like assertTrue or assertFalse. If the checkAssertStatements property is true, then it also checks for assert statements, e.g. assert x == true.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `boolean` | `checkAssertStatements`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### boolean checkAssertStatements

    - #### String name

    - #### int priority